Skip to main content
`Ctrl`+`K`

# MatFactorInvertSchurComplement

Invert the Schur complement matrix computed during the factorization step

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFactorInvertSchurComplement(Mat F)

Logically Collective

## Input Parameter

- F - the factored matrix obtained by calling `MatGetFactor()`

## Notes

Must be called after `MatFactorSetSchurIS()`.

Call `MatFactorGetSchurComplement()` or `MatFactorCreateSchurComplement()` AFTER this call to actually compute the inverse and get access to it.

## See Also

Matrices, `Mat`, `MatGetFactor()`, `MatFactorSetSchurIS()`, `MatFactorGetSchurComplement()`, `MatFactorCreateSchurComplement()`

## Level

advanced

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages